Board logo

标题: Vlisp中如何自动建立新图层 [打印本页]

作者: 普通钢    时间: 2011-6-22 12:15     标题: Vlisp中如何自动建立新图层

VLA-ADD命令建立新图层时,图层名称必须为输入。
哪位有办法利用预设变量建立新的图层?
哪位有办法利用预设变量建立新的图层?
作者: 普通钢    时间: 2011-6-23 13:18     标题: 自己回复一下吧

Vlsp还没有找到办法。倒是发现LSP里可以不用专门建立图层,直接用变量修改对象属性就可以。
作者: 00nan    时间: 2017-5-3 11:39

创建图层当然可以用lisp的方法,直接entmake就可以。如下:
;;;-------------------------------------------------------------------------------
;;; 创建图层
;;; 用法:(MK:LA layername color linetype printflag linewidth)
;;;     layername ---- 图层名称
;;;     color     ---- 图层颜色
;;;     linetype  ---- 图层线型
;;;     printflag ---- 图层打印标志 1 打印 0 不打印
;;;     linewidth ---- 图层打印线宽 0.01mm
;;;-------------------------------------------------------------------------------
(defun MK:LA (layername color linetype printflag linewidth)
    (entmake
            (list
                    (cons 0   "LAYER")
                (cons 100 "AcDbSymbolTableRecord")
                    (cons 100 "AcDbLayerTableRecord")
                (cons 2   layername)
                        (cons 70  0)
                        (cons 62  color)
                        (cons 6   linetype )
                        (cons 290 printflag)
                        (cons 370 linewidth))))




欢迎光临 中华钢结构论坛 China Structure Forum (http://www.okok.org/) Powered by Discuz! 5.0.0